clang 8.0.0

Public Types | Public Member Functions | List of all members
clang::format::FormatStyle::FormatStyleSet Struct Reference

`#include "clang/Format/Format.h"`

## Public Types
typedef std::map< FormatStyle::LanguageKind, FormatStyle > | MapType

## Public Member Functions
llvm::Optional< FormatStyle > | Get (FormatStyle::LanguageKind Language) const
void | Add (FormatStyle Style)
void | Clear ()

## Detailed Description

Definition at line 1822 of file Format.h.

## Member Typedef Documentation

## ◆ MapType

typedef std::map<FormatStyle::LanguageKind, FormatStyle> clang::format::FormatStyle::FormatStyleSet::MapType

Definition at line 1823 of file Format.h.

## Member Function Documentation

## ◆ Add()

void clang::format::FormatStyle::FormatStyleSet::Add | ( | FormatStyle | Style | ) |

Definition at line 1052 of file Format.cpp.

References clang::format::FormatStyle::Language.

Referenced by clang::format::parseConfiguration().

## ◆ Clear()

void clang::format::FormatStyle::FormatStyleSet::Clear | ( |  | ) |

Definition at line 1063 of file Format.cpp.

Referenced by clang::format::parseConfiguration().

## ◆ Get()

llvm::Optional< FormatStyle > clang::format::FormatStyle::FormatStyleSet::Get | ( | FormatStyle::LanguageKind | Language | ) | const

Definition at line 1041 of file Format.cpp.

References clang::format::Style.

Referenced by clang::format::parseConfiguration().

The documentation for this struct was generated from the following files:

- include/clang/Format/Format.h
- lib/Format/Format.cpp